Traces Ingestion - OTLP
Endpoint: POST /api/{organization}/v1/traces
The same handler is also served at POST /api/{organization}/traces and POST /api/{organization}/otel/v1/traces. Point an OTLP/HTTP exporter at https://<host>/api/{organization} and it appends /v1/traces.
This implements OTLP over HTTP with JSON Protobuf Encoding and binary Protobuf (Content-Type: application/x-protobuf). Set the stream-name header to choose the traces stream (default default).
You can follow the documentation to play with OpenTelemetry: How to use OpenTelemetry ingest traces?
Traces
Ingest distributed traces into OpenObserve using the OpenTelemetry OTLP protocol to capture spans and monitor request flows across your distributed services.
OTLP
Ingest profiles via OTLP JSON or binary Protobuf using POST /api/{org}/v1/profiles. Compatible with OpenTelemetry exporters and the Collector profiles pipeline.